WBITT

We Bring In Tomorrows Technology

  • Full Screen
  • Wide Screen
  • Narrow Screen
  • Increase font size
  • Default font size
  • Decrease font size

Skype on Fedora 10 + Getting rid of pulseaudio problem

E-mail Print PDF
User Rating: / 3
PoorBest 

Salam,

I tried installing skype on Fedora 10, today, and ran into small problems. So I decided to share with you the solutions.

My desktop is Fedora 10 64 bit.

I downloaded skype from http://www.skype.com/go/getskype-linux-fc7 , (FC7 is the latest available on this site, the saved file will have fc5 in the file name, so don't be alarmed!). Then I tried to install it using RPM, but I got many dependency problems.

 

[root@desktop Download]# rpm -ivh   skype-2.0.0.72-fc5.i586.rpm
warning: skype-2.0.0.72-fc5.i586.rpm: Header V3 DSA signature: NOKEY, key ID d66b746e
error: Failed dependencies:                                                         
libQtCore.so.4 is needed by skype-2.0.0.72-fc5.i586                         
libQtDBus.so.4 is needed by skype-2.0.0.72-fc5.i586                         
libQtGui.so.4 is needed by skype-2.0.0.72-fc5.i586                          
libQtNetwork.so.4 is needed by skype-2.0.0.72-fc5.i586                      
libX11.so.6 is needed by skype-2.0.0.72-fc5.i586                            
libXext.so.6 is needed by skype-2.0.0.72-fc5.i586                           
libXss.so.1 is needed by skype-2.0.0.72-fc5.i586                            
libXv.so.1 is needed by skype-2.0.0.72-fc5.i586                             
libasound.so.2 is needed by skype-2.0.0.72-fc5.i586                         
libasound.so.2(ALSA_0.9) is needed by skype-2.0.0.72-fc5.i586               
libasound.so.2(ALSA_0.9.0rc4) is needed by skype-2.0.0.72-fc5.i586          
libc.so.6 is needed by skype-2.0.0.72-fc5.i586                              
libc.so.6(GLIBC_2.0) is needed by skype-2.0.0.72-fc5.i586                   
libc.so.6(GLIBC_2.1) is needed by skype-2.0.0.72-fc5.i586                   
libc.so.6(GLIBC_2.1.3) is needed by skype-2.0.0.72-fc5.i586                 
libc.so.6(GLIBC_2.2) is needed by skype-2.0.0.72-fc5.i586                   
libc.so.6(GLIBC_2.3) is needed by skype-2.0.0.72-fc5.i586                   
libc.so.6(GLIBC_2.3.4) is needed by skype-2.0.0.72-fc5.i586                 
libc.so.6(GLIBC_2.4) is needed by skype-2.0.0.72-fc5.i586                   
libgcc_s.so.1 is needed by skype-2.0.0.72-fc5.i586                          
libgcc_s.so.1(GCC_3.0) is needed by skype-2.0.0.72-fc5.i586                 
libgcc_s.so.1(GLIBC_2.0) is needed by skype-2.0.0.72-fc5.i586               
libm.so.6 is needed by skype-2.0.0.72-fc5.i586                              
libm.so.6(GLIBC_2.0) is needed by skype-2.0.0.72-fc5.i586                   
libpthread.so.0 is needed by skype-2.0.0.72-fc5.i586                        
libpthread.so.0(GLIBC_2.0) is needed by skype-2.0.0.72-fc5.i586             
libpthread.so.0(GLIBC_2.1) is needed by skype-2.0.0.72-fc5.i586             
libpthread.so.0(GLIBC_2.2) is needed by skype-2.0.0.72-fc5.i586             
libpthread.so.0(GLIBC_2.3.2) is needed by skype-2.0.0.72-fc5.i586           
librt.so.1 is needed by skype-2.0.0.72-fc5.i586                             
libstdc++.so.6 is needed by skype-2.0.0.72-fc5.i586                         
libstdc++.so.6(CXXABI_1.3) is needed by skype-2.0.0.72-fc5.i586             
libstdc++.so.6(CXXABI_1.3.1) is needed by skype-2.0.0.72-fc5.i586           
libstdc++.so.6(GLIBCXX_3.4) is needed by skype-2.0.0.72-fc5.i586            
libstdc++.so.6(GLIBCXX_3.4.4) is needed by skype-2.0.0.72-fc5.i586          
[root@desktop Download]#

 

At the first glance this is a frightening list. But , then YUM comes to the rescue. Easiest method is to install this using "yum localinstall" method, which will install required dependencies itself ! :-

 

[root@desktop Download]# yum -y localinstall  skype-2.0.0.72-fc5.i586.rpm --nogpgcheck
Loaded plugins: refresh-packagekit                                                     
Setting up Local Package Process                                                       
Examining skype-2.0.0.72-fc5.i586.rpm: skype-2.0.0.72-fc5.i586                         
Marking skype-2.0.0.72-fc5.i586.rpm to be installed                                    
Resolving Dependencies                                                                 
--> Running transaction check                                                          
---> Package skype.i586 0:2.0.0.72-fc5 set to be updated                               
--> Processing Dependency: libQtCore.so.4 for package: skype                           
--> Processing Dependency: libQtDBus.so.4 for package: skype

[ output snipped ]

---> Package speex.i386 0:1.2-0.10.rc1.fc10 set to be updated                          
---> Package wavpack.i386 0:4.50.1-2.fc10 set to be updated                            
--> Finished Dependency Resolution                                                     

Dependencies Resolved

==============================================================================================================================================
Package                            Arch                Version                              Repository                                  Size
==============================================================================================================================================
Installing:                                                                                                                                  
skype                              i586                2.0.0.72-fc5                         skype-2.0.0.72-fc5.i586.rpm                 19 M
Installing for dependencies:                                                                                                                 
alsa-lib                           i386                1.0.20-1.fc10                        updates                                    412 k
dbus-libs                          i386                1:1.2.4-2.fc10                       updates                                    129 k

...

[ output snipped ]

...

readline                           i386                5.2-13.fc9                           fedora                                     184 k
speex                              i386                1.2-0.10.rc1.fc10                    fedora                                      97 k
sqlite                             i386                3.5.9-4.fc10                         updates                                    246 k
wavpack                            i386                4.50.1-2.fc10                        fedora                                     126 k
xine-lib                           i386                1.1.16.3-2.fc10                      updates                                    2.7 M
zlib                               i386                1.2.3-18.fc9                         fedora                                      74 k

Transaction Summary
==============================================================================================================================================
Install     60 Package(s)                                                                                                                    
Update       0 Package(s)                                                                                                                    
Remove       0 Package(s)                                                                                                                    

Total size: 57 M
Total download size: 19 M
Downloading Packages:   
Running rpm_check_debug 
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction      
Installing     : libgcc                                                                                                                1/60
Installing     : glibc                                                                                                                 2/60
...

[ output snipped ]

...

Installing     : phonon-backend-xine                                                                                                  58/60
Installing     : gamin                                                                                                                59/60
Installing     : skype                                                                                                                60/60

Installed:
skype.i586 0:2.0.0.72-fc5                                                                                                                  

Dependency Installed:
alsa-lib.i386 0:1.0.20-1.fc10              dbus-libs.i386 1:1.2.4-2.fc10                e2fsprogs-libs.i386 0:1.41.4-5.fc10               
expat.i386 0:2.0.1-5                       flac.i386 0:1.2.1-4.fc9                      fontconfig.i386 0:2.6.0-3.fc10                    

[ output snipped ]

speex.i386 0:1.2-0.10.rc1.fc10             sqlite.i386 0:3.5.9-4.fc10                   wavpack.i386 0:4.50.1-2.fc10                      
xine-lib.i386 0:1.1.16.3-2.fc10            zlib.i386 0:1.2.3-18.fc9                                                                       

Complete!
[root@desktop Download]#

 

Ok. Installation is done. Next you would want to start skype. Go ahead start it. I use KDE and when I started it, I got some sound problems and error messages. Such as:

 

ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so                                                                                                                                        
ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.hdmi                                                                       
ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.hdmi                                                                       
ALSA lib pcm.c:2171:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so                           
ALSA lib pcm.c:2171:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so                           
ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so                        
ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.hdmi                                                                       
ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.hdmi                                                                       
ALSA lib pcm.c:2171:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so                           
ALSA lib pcm.c:2171:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so                           
ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so                        
ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.hdmi                                                                       
ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.hdmi                                                                       
ALSA lib pcm.c:2171:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so                           
ALSA lib pcm.c:2171:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so                           
ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so                        
ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so                        
ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so                        
ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so                        
ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so                        
ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so                        
ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so

 

The solution is to get rid of pulseaudio, which interfers almost with everything in KDE.  Quit skype first. Then:

[root@desktop Download]#  yum remove alsa-plugins-pulseaudio

Loaded plugins: refresh-packagekit                                              
Setting up Remove Process                                                       
Resolving Dependencies                                                          
--> Running transaction check                                                   
---> Package alsa-plugins-pulseaudio.x86_64 0:1.0.18-2.fc10 set to be erased    
--> Processing Dependency: alsa-plugins-pulseaudio for package: kde-settings-pulseaudio
--> Running transaction check                                                          
---> Package kde-settings-pulseaudio.noarch 0:4.1-6.20090206svn.fc10 set to be erased  
--> Finished Dependency Resolution                                                     

Dependencies Resolved

==============================================================================================================================================
Package                                  Arch                    Version                                    Repository                  Size
==============================================================================================================================================
Removing:                                                                                                                                     
alsa-plugins-pulseaudio                  x86_64                  1.0.18-2.fc10                              installed                   95 k
Removing for dependencies:
kde-settings-pulseaudio                  noarch                  4.1-6.20090206svn.fc10                     installed                   0.0

Transaction Summary
==============================================================================================================================================
Install      0 Package(s)
Update       0 Package(s)
Remove       2 Package(s)

Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Erasing        : alsa-plugins-pulseaudio                                                                                                1/2
Erasing        : kde-settings-pulseaudio                                                                                                2/2

Removed:
alsa-plugins-pulseaudio.x86_64 0:1.0.18-2.fc10

Dependency Removed:
kde-settings-pulseaudio.noarch 0:4.1-6.20090206svn.fc10

Complete!
[root@desktop Download]#

Done.

That is all. Once you start skpe now, it will not give any sound problems. Remember to select "default" in the list of sound devices in skype. You don't need to change that. Later you may see occasional error/warning messages such as:

ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.hdmi

Just ignore them. At least my skype is working properly , even these messages are showing occasionally.

 

You are here How To / Tutorials Skype on Fedora 10 + Getting rid of pulseaudio problem